2009-04-02 09:32:25     Toolchain tools check error messages

Document created by Aaronwu Employee on Aug 14, 2013
Version 1Show Document
  • View in full screen mode

2009-04-02 09:32:25     Toolchain tools check error messages

Jim Carstensen (UNITED STATES)

Message: 72046   

 

In the middle of this procedure:

 

docs.blackfin.uclinux.org/doku.php?id=developing_with_blackfin_live_sources

 

executing this:

 

$ ~/blackfin-sources/toolchain/buildscript/BuildToolChain -p

 

 

I get this:

 

Checking for development packages (skip checks with the -D option)

Check  gcc.gnu.org/install/prerequisites.html for more information

   autoconf (GNU Autoconf) 2.61

   automake (GNU automake) 1.10

   GNU Awk 3.1.5

   GNU bash, version 3.1.17(1)-release (i486-pc-linux-gnu)

   bison (GNU Bison) 2.3

   cp (GNU coreutils) 5.97

   echo seems to be a shell builtin

   flex 2.5.33

   gcc (GCC) 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)

   gettext (GNU gettext-runtime) 0.16.1

   grep (GNU grep) 2.5.1

   ln (GNU coreutils) 5.97

   GNU M4 1.4.8

   GNU Make 3.81

   makeinfo (GNU texinfo) 4.8

   mkdir (GNU coreutils) 5.97

   msgfmt (GNU gettext-tools) 0.16.1

   mv (GNU coreutils) 5.97

   rm (GNU coreutils) 5.97

   GNU sed version 4.1.5

   tail (GNU coreutils) 5.97

   wc (GNU coreutils) 5.97

** Could not find version of /usr/bin/which

* /usr/bin/which: symbolic link to `/bin/which'

* /bin/which: Bourne shell script text executable

** Could not find version of /usr/bin/pkg-config

* /usr/bin/pkg-config: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.4.1, dynamically linked (uses shared libs), for GNU/Linux 2.4.1, stripped

   ping utility, iputils-ss020927

** Could not find version of /usr/bin/rsh

* /usr/bin/rsh: symbolic link to `/etc/alternatives/rsh'

* /etc/alternatives/rsh: symbolic link to `/usr/bin/netkit-rsh'

* /usr/bin/netkit-rsh: setuid ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.2.0, dynamically linked (uses shared libs), for GNU/Linux 2.2.0, stripped

** Could not find version of /usr/bin/rcp

* /usr/bin/rcp: symbolic link to `/etc/alternatives/rcp'

* /etc/alternatives/rcp: symbolic link to `/usr/bin/netkit-rcp'

* /usr/bin/netkit-rcp: setuid ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.2.0, dynamically linked (uses shared libs), for GNU/Linux 2.2.0, stripped

   bc 1.06

   kill seems to be a shell builtin

   killall (PSmisc) 22.3

   pstree (PSmisc) 22.3

   Expect version is 5.43.0 Tcl version is 8.4 Framework version is 1.4.99

** Could not find version of /usr/bin/Xvfb

* /usr/bin/Xvfb: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), for GNU/Linux 2.4.1, dynamically linked (uses shared libs), for GNU/Linux 2.4.1, stripped

   SHELL = /bin/bash

Done checking for prerequisites

 

 

Are the "Could not find version of ..." messages important?  And if so, where do I get the "missing" objects?

 

Thanks.

QuoteReplyEditDelete

 

 

2009-04-02 09:49:36     Re: Toolchain tools check error messages

Mike Frysinger (UNITED STATES)

Message: 72052   

 

there are no errors in that output

 

QuoteReplyEditDelete

 

 

2009-04-02 10:05:27     Re: Toolchain tools check error messages

Jim Carstensen (UNITED STATES)

Message: 72053   

 

OK good.  The procedure says, "Before building toolchain, check the host for necessary tools. Please install if missing. "

 

So when the output messages indicate that it could not find certain things, I assumed that certain things were missing and I needed to install them.

 

This is the first checkout & build for this new project.  Checkout took about 4 hours, and the last time I did a build it took 7hours 52 min.  So I want to be absolutely sure that everything is in order.

 

So I should be able to build without any issues.  Right?

 

Thanks.

 

 

QuoteReplyEditDelete

 

 

2009-04-02 10:11:44     Re: Toolchain tools check error messages

Mike Frysinger (UNITED STATES)

Message: 72054   

 

that output didnt say missing, it said it couldnt find version information about the binaries.  which is true: the binaries in question do not report version information when run with --version or similar options.

 

ive changed the wording to not use "could not find" in trunk.

 

that -p output does not indicate any typical problems ... but it's not guarantee of course.

QuoteReplyEditDelete

 

 

2009-04-02 10:26:02     Re: Toolchain tools check error messages

Jim Carstensen (UNITED STATES)

Message: 72058   

 

OK, cool.  thanks...

QuoteReplyEditDelete

 

 

2009-04-02 10:38:03     Re: Toolchain tools check error messages

Jim Carstensen (UNITED STATES)

Message: 72059   

 

Build fails like this:

 

Typed:

 

~/blackfin-sources/toolchain/buildscript/BuildToolChain \ -b ~/blackfin-sources/build \ -k ~/blackfin-sources/uclinux dist/linux-2.6.x \ -s ~/blackfin-sources/toolchain \ -u ~/blackfin-sources/u-boot

 

And get:

 

Checking for development packages (skip checks with -D option)

 

Found multiple version of which, using the one at /usr/bin/which

 

Building gss version 4.1

 

Utilizing make: make -j2

 

Usage: home/uclinux/blackfin-sources/toolchain/buildscript/BuildToolChain -s SOURCE [-b BUILD]

 

    -h for help

 

....Then back to the prompt.

 

Any ideas?

 

 

QuoteReplyEditDelete

 

 

2009-04-02 10:57:06     Re: Toolchain tools check error messages

Mike Frysinger (UNITED STATES)

Message: 72061   

 

the backslashes are for new lines.  if you're posting it all in one line, then backslashes make no sense.

Attachments

    Outcomes